<?php
namespace App\Alias;

class RemoteConnection extends Connection
{
    public function __construct(protected int $retries = 5)
    {
        parent::__construct(
            $_ENV['REMOTE_HOST'],
            $_ENV['REMOTE_DATABASE'],
            $_ENV['REMOTE_USER'],
            $_ENV['REMOTE_PASSWORD'],
            $_ENV['REMOTE_PORT'] ?? null,
            $this->retries
        );
    }
}
